#include <stdio.h>
#include <stdlib.h>
#include "tris.h"
#include "utils.h"

int main(int argc, char *argv[]) {
  if(argc != 4) {
    printf("Usage: %s [typeAlgo] [taille] [isAfficher]\n", argv[0]);
    exit(1);
  }

  char typeAlgo = argv[1][0];
  long taille = (long) atoi(argv[2]);
  long MAX = 50;
  long tab[taille];
  size_t afficher = (size_t) atoi(argv[3]);

  genTab(tab, taille, MAX);

  switch(typeAlgo) {
    case 'i':
      printf("Tri Insertion: \n");
      triInsertion(tab,taille);

      if(afficher)
        affichertab(tab,taille);
      break;

    case 'r':
      printf("Tri Rapide: \n");
      triRapide(tab, taille);

      if(afficher)
        affichertab(tab,taille);
      break;

    case 'f':
      printf("Tri Fusion: \n");
      triFusion(tab, taille);

      if(afficher)
        affichertab(tab,taille);
      break;
  }

  return 0;
}
